--
-- PostgreSQL database dump
--

-- Started on 2008-04-30 20:33:51 CEST

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 1315 (class 1259 OID 31843)
-- Dependencies: 1588 1589 1590 1591 1592 1593 1594 1595 1596 1597 1598 1599 1600 1601 1602 1603 1604 1605 1606 1607 1608 1609 1610 1611 1612 1613 1614 1615 1616 1617 1618 1619 1620 1621 1622 1623 1624 1625 1626 1627 1628 1629 1630 1631 3
-- Name: abcdmetadata; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE abcdmetadata (
    metadata_id integer DEFAULT 0 NOT NULL,
    dataset_guid character varying(50) DEFAULT NULL::character varying,
    technical_contact_name character varying(50) DEFAULT ''::character varying NOT NULL,
    technical_contact_email character varying(50) DEFAULT NULL::character varying,
    technical_contact_phone character varying(50) DEFAULT ''::character varying NOT NULL,
    technical_contact_address character varying(255) DEFAULT NULL::character varying,
    content_contact_name character varying(50) DEFAULT ''::character varying NOT NULL,
    content_contact_email character varying(50) DEFAULT NULL::character varying,
    content_contact_phone character varying(50) DEFAULT NULL::character varying,
    content_contact_address character varying(255) DEFAULT NULL::character varying,
    other_provider_uddi character varying(50) DEFAULT NULL::character varying,
    dataset_title character varying(50) DEFAULT NULL::character varying,
    dataset_details text,
    dataset_coverage text,
    dataset_uri character varying(50) DEFAULT NULL::character varying,
    dataset_icon_uri character varying(50) DEFAULT NULL::character varying,
    dataset_version_major character varying(50) DEFAULT ''::character varying NOT NULL,
    dataset_creators text,
    dataset_contributors text,
    date_created timestamp without time zone,
    date_modified timestamp without time zone DEFAULT '1970-01-01 00:00:00'::timestamp without time zone NOT NULL,
    owner_organization_name character varying(255) DEFAULT NULL::character varying,
    owner_organization_abbrev character varying(50) DEFAULT NULL::character varying,
    owner_contact_person character varying(255) DEFAULT ''::character varying NOT NULL,
    owner_contact_role character varying(50) DEFAULT NULL::character varying,
    owner_address character varying(255) DEFAULT NULL::character varying,
    owner_telephone character varying(50) DEFAULT NULL::character varying,
    owner_email character varying(50) DEFAULT NULL::character varying,
    owner_uri character varying(50) DEFAULT NULL::character varying,
    owner_logo_uri character varying(255) DEFAULT NULL::character varying,
    ipr_text character varying(255) DEFAULT NULL::character varying,
    ipr_details text,
    ipr_uri character varying(255) DEFAULT NULL::character varying,
    copyright_text character varying(255) DEFAULT NULL::character varying,
    copyright_details text,
    copyright_uri character varying(255) DEFAULT NULL::character varying,
    terms_of_use_text character varying(255) DEFAULT NULL::character varying,
    terms_of_use_details text,
    terms_of_use_uri character varying(255) DEFAULT NULL::character varying,
    disclaimers_text character varying(255) DEFAULT NULL::character varying,
    disclaimers_details text,
    disclaimers_uri character varying(255) DEFAULT NULL::character varying,
    license_text character varying(255) DEFAULT NULL::character varying,
    licenses_details text,
    license_uri character varying(255) DEFAULT NULL::character varying,
    acknowledgements_text character varying(255) DEFAULT NULL::character varying,
    acknowledgements_details text,
    acknowledgements_uri character varying(255) DEFAULT NULL::character varying,
    citations_text character varying(255) DEFAULT NULL::character varying,
    citations_details text,
    citations_uri character varying(255) DEFAULT NULL::character varying,
    source_institution_id character varying(50) DEFAULT ''::character varying NOT NULL,
    source_id character varying(50) DEFAULT ''::character varying NOT NULL,
    record_basis character varying(50) DEFAULT NULL::character varying,
    kind_of_unit character varying(50) DEFAULT NULL::character varying,
    higher_taxon_rank character varying(50) DEFAULT NULL::character varying
);


ALTER TABLE public.abcdmetadata OWNER TO postgres;

--
-- TOC entry 1317 (class 1259 OID 31898)
-- Dependencies: 1633 3
-- Name: collectors; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE collectors (
    id integer NOT NULL,
    unit_id integer,
    agent_text character varying(255) DEFAULT NULL::character varying,
    primary_collector_flag integer
);


ALTER TABLE public.collectors OWNER TO postgres;

--
-- TOC entry 1318 (class 1259 OID 31906)
-- Dependencies: 1634 1635 1636 1637 1638 1639 1640 1641 1642 1643 1644 1645 3
-- Name: herbariumsheets; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE herbariumsheets (
    unit_id integer DEFAULT 0 NOT NULL,
    type_status character varying(30) DEFAULT NULL::character varying,
    project_title character varying(150) DEFAULT NULL::character varying,
    biotope_text character varying(255) DEFAULT NULL::character varying,
    date_text character varying(50) DEFAULT NULL::character varying,
    iso_date_time_begin timestamp without time zone,
    locality_text character varying(255) DEFAULT NULL::character varying,
    country_name character varying(255) DEFAULT NULL::character varying,
    notes character varying(255) DEFAULT NULL::character varying,
    altitude_lower_value integer DEFAULT 0,
    altitude_upper_value integer DEFAULT 0,
    longitude_decimal integer DEFAULT 0,
    latitude_decimal integer DEFAULT 0,
    metadata_id integer
);


ALTER TABLE public.herbariumsheets OWNER TO postgres;

--
-- TOC entry 1320 (class 1259 OID 31928)
-- Dependencies: 1647 1648 1649 1650 1651 1652 1653 1654 1655 3
-- Name: identifications; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE identifications (
    id integer NOT NULL,
    unit_id integer,
    prefered_flag integer,
    date_text timestamp without time zone,
    name_author_year_string character varying(255) DEFAULT NULL::character varying,
    genus character varying(20) DEFAULT NULL::character varying,
    first_epithet character varying(90) DEFAULT NULL::character varying,
    second_epithet character varying(90) DEFAULT NULL::character varying,
    rank character varying(255) DEFAULT NULL::character varying,
    author character varying(255) DEFAULT NULL::character varying,
    identification_author character varying(255) DEFAULT NULL::character varying,
    higher_taxon character varying(40) DEFAULT NULL::character varying,
    identification_ref character varying(250) DEFAULT NULL::character varying
);


ALTER TABLE public.identifications OWNER TO postgres;

--
-- TOC entry 1321 (class 1259 OID 31947)
-- Dependencies: 1656 1657 1658 3
-- Name: images; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE images (
    id integer DEFAULT 0 NOT NULL,
    unit_id integer,
    file_uri character varying(250) DEFAULT NULL::character varying,
    product_uri character varying(250) DEFAULT NULL::character varying,
    image_terms_of_use text
);


ALTER TABLE public.images OWNER TO postgres;

--
-- TOC entry 1316 (class 1259 OID 31896)
-- Dependencies: 1317 3
-- Name: collectors_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE collectors_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.collectors_id_seq OWNER TO postgres;

--
-- TOC entry 1683 (class 0 OID 0)
-- Dependencies: 1316
-- Name: collectors_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE collectors_id_seq OWNED BY collectors.id;


--
-- TOC entry 1684 (class 0 OID 0)
-- Dependencies: 1316
-- Name: collectors_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('collectors_id_seq', 1, false);


--
-- TOC entry 1319 (class 1259 OID 31926)
-- Dependencies: 3 1320
-- Name: identifications_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE identifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.identifications_id_seq OWNER TO postgres;

--
-- TOC entry 1685 (class 0 OID 0)
-- Dependencies: 1319
-- Name: identifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE identifications_id_seq OWNED BY identifications.id;


--
-- TOC entry 1686 (class 0 OID 0)
-- Dependencies: 1319
-- Name: identifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('identifications_id_seq', 1, false);


--
-- TOC entry 1632 (class 2604 OID 31901)
-- Dependencies: 1316 1317 1317
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE collectors ALTER COLUMN id SET DEFAULT nextval('collectors_id_seq'::regclass);


--
-- TOC entry 1646 (class 2604 OID 31931)
-- Dependencies: 1320 1319 1320
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE identifications ALTER COLUMN id SET DEFAULT nextval('identifications_id_seq'::regclass);


--
-- TOC entry 1673 (class 0 OID 31843)
-- Dependencies: 1315
-- Data for Name: abcdmetadata; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY abcdmetadata (metadata_id, dataset_guid, technical_contact_name, technical_contact_email, technical_contact_phone, technical_contact_address, content_contact_name, content_contact_email, content_contact_phone, content_contact_address, other_provider_uddi, dataset_title, dataset_details, dataset_coverage, dataset_uri, dataset_icon_uri, dataset_version_major, dataset_creators, dataset_contributors, date_created, date_modified, owner_organization_name, owner_organization_abbrev, owner_contact_person, owner_contact_role, owner_address, owner_telephone, owner_email, owner_uri, owner_logo_uri, ipr_text, ipr_details, ipr_uri, copyright_text, copyright_details, copyright_uri, terms_of_use_text, terms_of_use_details, terms_of_use_uri, disclaimers_text, disclaimers_details, disclaimers_uri, license_text, licenses_details, license_uri, acknowledgements_text, acknowledgements_details, acknowledgements_uri, citations_text, citations_details, citations_uri, source_institution_id, source_id, record_basis, kind_of_unit, higher_taxon_rank) FROM stdin;
1	\N	Tomas A Edison	t.edison@edison.org	+ 55 555 555 555	Botanic Garden & Botanical Museum Berlin-Dahlem, Königin-Luise-Str.6-8, 14191 Berlin, Germany	Charles Robert Darwin	c.darwin@darwin.org	+ 55 555 555 555	Botanic Garden & Botanical Museum Berlin-Dahlem, Königin-Luise-Str.6-8, 14191 Berlin, Germany	\N	Training Algae Database for BPS2	This database is only a demonstrating database for learning to use the BioCASe Provider Software. Please do not use this data for anything.	This database is testing data and does not cover anything.	http://www.biocase.org	http://www.biocase.org/images/bdi_logo.gif	2.0	Javier de la Torre, Markus Döring	CedocBiv BCN	2005-03-17 00:00:00	2005-03-17 00:00:00	BioCASE	BIOCASE	Charles Robert Darwin	Director	Botanic Garden & Botanical Museum Berlin-Dahlem, Königin-Luise-Str.6-8, 14191 Berlin, Germany	+ 55 555 555 555	c.darwin@darwin.org	http://www.darwin.org	http://www.biocase.org/images/bdi_logo.gif	IPR Text to be completed	\N	http://www.bgbm.org/disclaim_e.htm	Copyright text	\N	\N	This is a testing database anythign can be done	\N	\N	Do not use this data for anything. Is only testing data for demosntration purpose only	\N	\N	General Public License	\N	http://www.gnu.org/copyleft/gpl.html	Our families and friends for their support :D	\N	\N	BioCASE database	\N	\N	BIOCASE	BioCASE training Facilities	PreservedSpecimen	wholeorganisms	familia
\.


--
-- TOC entry 1674 (class 0 OID 31898)
-- Dependencies: 1317
-- Data for Name: collectors; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY collectors (id, unit_id, agent_text, primary_collector_flag) FROM stdin;
174107	395	Follmann-Schrag, I.-A.	1
174106	368	Vivant, J.	1
174105	39	Llimona, X.	1
174108	395	Follmann, G.	0
174109	421	Follmann-Schrag, I.-A.	1
174110	421	Follmann, G.	0
174111	425	Follmann-Schrag, I.-A.	1
174112	425	Follmann, G.	0
174113	435	Follmann, G.	1
174114	447	Follmann	1
174115	607	Llimona, X.	1
174116	610	Llimona, X.	1
174117	611	Llimona, X.	1
174118	612	Llimona, X.	1
174119	620	Llimona, X.	1
174120	620	Morales, C.G.	0
174121	621	Llimona, X.	1
174122	621	Morales, C.G.	0
174123	879	Zollinger, A.	1
174124	1025	Hosseus, C.C.	1
174125	1298	Coppins, B.J.	1
174126	1298	Sheard, J.W.	0
174127	1352	Hale, M.E.	1
174128	1379	Skytte Christiansen, M.	1
174129	1433	Soják, J.	1
174130	1436	Lambinon, J.	1
174131	1447	Vezda, A.	1
174132	1449	Degener, O.	1
174133	1449	Degener, I.	0
174134	1454	Poelt, J.	1
174135	1454	Vezda, A.	0
174136	1478	James, P.	1
174137	1478	Coppins, B.J.	0
174138	1508	Degener, O.	1
174139	1508	Degener, I.	0
174140	1509	Degener, O.	1
174141	1509	Degener, I.	0
174142	1516	Culberson, W. L.	1
174143	1516	Culberson, C. F.	0
174144	1594	Poelt, J.	1
174145	1594	Scheidegger, C.	0
174146	1644	Vezda, A.	1
174147	1692	Degener, O.	1
174148	1692	Degener, I.	0
174149	1723	Rundel, P.W.	1
174150	1749	Mahu, M.	1
174151	1762	Follmann, G.	1
174152	1776	Follmann, G.	1
174153	1776	Sánchez-Pinto, L.	0
174154	1982	Muhr, L.-E.	1
174155	1982	Coppins, B.J.	0
174156	1993	Kalb, K.	1
174157	1993	Poelt, J.	0
174158	2005	Tønsberg, T.	1
174159	2006	Poelt, J.	1
174160	2006	Vezda, A.	0
174161	2037	Crespo, A.	1
174162	2037	Vezda, A.	0
174163	2152	Vezda, A.	1
174164	2230	Farkas, E.	1
174165	2340	Hladun, N.	1
174166	2422	Tibell, L.	1
174167	2424	Tibell, L.	1
174168	2445	Tibell, L.	1
174169	2454	Hafellner, J.	1
174170	2454	Merotsy, P,	0
174171	2454	Rogers, R.	0
174172	2819	Llimona, X.	1
174173	3200	Hedberg, Olov	1
174174	3200	Knox, D.	0
174175	3707	Giralt, M.	1
174176	3963	Hladun, N.	1
174177	3963	Llimona, X.	0
174178	3963	Navarro-Rosinés, P.	0
174179	3965	Hladun, N.	1
174180	3965	Llimona, X.	0
174181	3965	Navarro-Rosinés, P.	0
174182	3966	Hladun, N.	1
174183	3966	Llimona, X.	0
174184	3966	Navarro-Rosinés, P.	0
174185	4063	Culberson, William L.	1
174186	4063	Culberson, Chicita F.	0
174187	4067	Farkas, E.	1
174188	4067	Lökös, L.	0
174189	4120	Giralt, M.	1
174190	4331	Navarro-Rosinés, P.	1
174191	4332	Navarro-Rosinés, P.	1
174192	4427	Giralt, M.	1
174193	4427	Gómez, A.	0
174194	4427	Navarro, P.	0
174195	4488	Navarro-Rosinés, P.	1
174196	4616	Nimis, P.L.	1
174197	4616	Tretiach, M.	0
174198	4616	Poelt, J.	0
174199	4616	Vezda, A.	0
174200	4655	Kalb, K.	1
174201	4657	Kalb, K.	1
174202	4657	Poelt, J.	0
174203	4657	Sipman, H.	0
174204	4658	Hafellner, J.	1
174205	4658	Rogers, R.	0
174206	4658	Merrotsy, P.	0
174207	4659	Farkas, E.	1
174208	4659	Pócs, T.	0
174209	4664	Codogno, M.	1
174210	4664	Tretiach, M.	0
174211	4664	Poelt, J.	0
174212	4664	Vezda, A.	0
174213	5039	Thor, G.	1
174214	5041	Osorio, H.S.	1
174215	5053	Nimis, P.L.	1
174216	5053	Poelt, J.	0
174217	5121	Vezda, A.	1
174218	5224	Boqueras, M.	1
174219	5224	Hladun, N.	0
174220	5224	Diederich, P.	0
174221	5224	Pérez, J. M.	0
174222	5224	Navarro-Rosinés, P.	0
174223	5224	Pereira, I.	0
174224	5224	Rico, V.	0
174225	5224	Gómez-Bolea, A.	0
174226	5264	Kantvilas, G.	1
174227	5264	Mayrhofer, H.	0
174228	5264	Vezda, A.	0
174229	5287	Türk, R.	1
174230	5287	Wunder, H.	0
174231	5326	Farkas, E.	1
174232	5328	Kalb, K.	1
174233	5329	Poelt, J.	1
174234	5329	Pittoni, H.	0
174235	5561	Barbero, M.	1
174236	5704	Hladun, N.	1
174237	5704	Navarro-Rosinés, P.	0
174238	5705	Giralt, M.	1
174239	5705	Gómez-Bolea, A.	0
174240	5705	Navarro-Rosinés, P.	0
174241	5707	Gómez-Bolea, A.	1
174242	5707	Navarro-Rosinés, P.	0
174243	5740	Etayo, J.	1
174244	5741	Obermayer, W.	1
174245	8200	Hladun, N.	1
174246	8200	Llimona, X.	0
174247	8200	Navarro-Rosinés, P.	0
174248	8284	Giralt, M.	1
174249	8284	Navarro-Rosinés, P.	0
174250	8284	Gómez-Bolea, A.	0
174251	8381	Roux, C.	1
174252	8381	Navarro-Rosinés, P.	0
174253	8382	Roux, C.	1
174254	8382	Navarro-Rosinés, P.	0
174255	8383	Roux, C.	1
174256	8383	Navarro-Rosinés, P.	0
174257	8384	Roux, C.	1
174258	8384	Navarro-Rosinés, P.	0
174259	8385	Roux, C.	1
174260	8385	Navarro-Rosinés, P.	0
174261	8391	Roux, C.	1
174262	8394	Roux, C.	1
174263	8398	Navarro-Rosinés, P.	1
174264	8399	Giralt, M.	1
174265	8399	Navarro-Rosinés, P.	0
174266	8962	Etayo, J.	1
174267	9032	Boom, P. v. d.	1
174268	9309	Llimona, X.	1
174269	9309	Hladun, N.L.	0
174270	9309	Ballesteros, E.	0
174271	9736	Navarro-Rosinés, P.	1
174272	9736	Roux, C.	0
174273	9736	Gómez-Bolea, A.	0
174274	10385	Boom, P. v. d.	1
174275	10768	Giralt, M.	1
174276	10768	Navarro-Rosinés, P.	0
174277	10768	Gómez-Bolea, A.	0
174278	13209	Navarro-Rosinés, P.	1
174279	13210	Navarro-Rosinés, P.	1
174280	13211	Navarro-Rosinés, P.	1
174281	13213	Navarro-Rosinés, P.	1
174282	13215	Boqueras, M.	1
174283	13215	Gómez-Bolea, A.	0
174284	13215	Navarro-Rosinés, P.	0
174285	13217	Clauzade, G.	1
174286	13217	Roux, C.	0
174287	13217	Navarro-Rosinés, P.	0
174288	13217	et al.	0
174289	13219	Giralt, M.	1
174290	13219	Gómez-Bolea, A.	0
174291	13219	Navarro-Rosinés, P.	0
174292	13236	Giralt, M.	1
174293	13236	Navarro-Rosinés, P.	0
174294	13237	Giralt, M.	1
174295	13237	Navarro-Rosinés, P.	0
174296	13238	Giralt, M.	1
174297	13238	Navarro-Rosinés, P.	0
174298	13239	Giralt, M.	1
174299	13239	Gómez-Bolea, A.	0
174300	13239	Navarro-Rosinés, P.	0
174301	13240	Giralt, M.	1
174302	13240	Gómez-Bolea, A.	0
174303	13240	Navarro-Rosinés, P.	0
174304	13262	Roux, C.	1
174305	13262	Navarro-Rosinés, P.	0
174306	13263	Roux, C.	1
174307	13263	Navarro-Rosinés, P.	0
174308	13264	Roux, C.	1
174309	13264	Navarro-Rosinés, P.	0
174310	13265	Roux, C.	1
174311	13265	Navarro-Rosinés, P.	0
174312	13266	Roux, C.	1
174313	13266	Navarro-Rosinés, P.	0
174314	13374	Navarro-Rosinés, P.	1
174315	13374	Gómez-Bolea, A.	0
174316	13374	Giralt, M.	0
174317	13375	Navarro-Rosinés, P.	1
174318	13375	Gómez-Bolea, A.	0
174319	13375	Giralt, M.	0
174320	13384	Navarro-Rosinés, P.	1
174321	13384	Roux, C.	0
174322	13386	Navarro-Rosinés, P.	1
174323	13386	Roux, C.	0
174324	13387	Navarro-Rosinés, P.	1
174325	13387	Roux, C.	0
174326	13388	Navarro-Rosinés, P.	1
174327	13388	Roux, C.	0
174328	13389	Navarro-Rosinés, P.	1
174329	13389	Roux, C.	0
174330	13421	Giralt, M.	1
174331	13421	Gómez-Bolea, A.	0
174332	13421	Navarro-Rosinés, P.	0
174333	13747	Longán, A.	1
174334	13747	Gómez-Bolea, A.	0
174335	14133	Crespo, A.	1
174336	14133	Divakar, P.K.	0
174337	14202	Vezda, A.	1
174338	14203	Vezda, A.	1
\.


--
-- TOC entry 1675 (class 0 OID 31906)
-- Dependencies: 1318
-- Data for Name: herbariumsheets; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY herbariumsheets (unit_id, type_status, project_title, biotope_text, date_text, iso_date_time_begin, locality_text, country_name, notes, altitude_lower_value, altitude_upper_value, longitude_decimal, latitude_decimal, metadata_id) FROM stdin;
395	isotipus	G. Follmann: Lichenes Exsiccati Selecti a Museo Botanico Berolinensi editi	gesellig auf Erosionsrippen (Granodiorittuff) , auch  über Kakteenresten im Ramalinetum inanis. S-W, pH 6.9	\N	2005-03-17 17:02:17	Nordchile, Prov. Antofagasta: Nebeloase Cerro Moreno bei Antofagasta	Spain	\N	600	\N	3	3	1
39	holotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad gypsum compactm locis septentr. vel occident. spectantibus, 30º - 60º inclinatis	\N	2005-03-17 17:02:17	HISPANIA. Las Bardenas.Caparroso	Spain	\N	400	\N	1	1	1
368	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad corticem Fraxini excelsioris	\N	2005-03-17 17:02:17	GALLIA. Montes Pyrenaei occident. St-Just-Ibarre, in valle fluvii Bidouze	Spain	\N	700	\N	2	2	1
421	isotipus	G. Follmann: Lichenes Exsiccati Selecti a Museo Botanico Berolinensi editi	zerteut im Dornenwerk von Säulenkakteen im Tornabenietum intricate. NW-SW, pH 6,6.	\N	2005-03-17 17:02:17	Nordchile, Prov Antofagasta: Stammsukkuletengürtel des Nebeloase Cerro Moreno auf der Halbinsel Mejillones bei Antofagasta	Spain	\N	450	\N	4	4	1
425	isotipus	G. Follmann: Lichenes Exsiccati Selecti a Museo Botanico Berolinensi editi	zerstreut im Dornenwerk von Säulenkakteen im Tornabenietum intricatae,  SW, pH 6.5	\N	2005-03-17 17:02:17	Nordchile, prov. Antofagasta: Stammsukulentengürtel der Nebeloase Cerro Moreno auf der Halbinsel Mejillones bei Antofagasta	Spain	\N	500	\N	5	5	1
435	isotipus	G. Follmann: Lichenes Exsiccati Selecti a Museo Botanico Berolinensi editi	Kolonienbildend an Stirnflächen und Überhängen von Diorithöckern im Roccelletum portentosae. SW, pH 6,5.	\N	2005-03-17 17:02:17	Nordchile, Prov. Antofagasta: Nebelzone am Cerro Moreno, Halbinsel Mejillones unweit Antofagasta	Spain	\N	500	\N	6	6	1
447	isotipus	Museum Botanicum Berolinense - Lichenes Chilenses	\N	\N	2005-03-17 17:02:17	Cerro Moreno, Eulychnia (  Prov Antofagasta)	Spain	\N	600	\N	7	7	1
607	holotipus	\N	Sobre sol margós més o menys guixós i salí, poc inslinat al N, molt solellat. Abundant	\N	2005-03-17 17:02:17	Pechina ( Almeria). Rera campament	Spain	\N	\N	\N	8	8	1
610	holotipus	\N	parasit de Diploschistes steppicus, sobre crosta guixosa solellada	\N	2005-03-17 17:02:17	Barbastro, a l' Oest de El Pueyo	Spain	\N	400	\N	9	9	1
611	holotipus	\N	crosta guixosa. Acar. placod-reag. teloschistetosum.	\N	2005-03-17 17:02:17	Venta de os Yesos ( Almeria)	Spain	\N	\N	\N	10	10	1
612	holotipus	\N	Crosta guixosa solellada	\N	2005-03-17 17:02:17	Venta de los Yesos ( Almeria)	Spain	\N	\N	\N	11	11	1
620	isotipus	\N	Sobre lava asolellada, abundant, en població gairabé monoespecífica	\N	2005-03-17 17:02:17	Camí de  Vela Blanca. Sierra de Gata.	Spain	\N	60	\N	12	12	1
621	isotipus	\N	Sobre lava solellada, abundant, en població gairabé monoespecífica.	\N	2005-03-17 17:02:17	Camí de Vela Blanca. Sierra de Gata	Spain	\N	60	\N	13	13	1
879	isotipus	Lichenotheca parva - Edita a Sect. Bot. Mus. Hist.-nat. Hung. 1969	ad arbores	\N	2005-03-17 17:02:17	Java -  Mt. Rantie	Spain	\N	650	\N	14	14	1
1025	sintipus	Lichenes exsiccati - Editi a Sect. Bot. Mus. Hist.-nat. Hung. 1969	ad saxa	\N	2005-03-17 17:02:17	Argentina -  Sierra Chica de Cordoba.	Spain	\N	1280	\N	15	15	1
1298	topotipus	A. Vezda: Lichenes Selecti Exsiccati	Saxicola	\N	2005-03-17 17:02:17	MAGNA BRITANIA. Caledonia: Edinburgum, Braid Hills	Spain	\N	150	\N	16	16	1
1352	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad saxa in vicinitate fluminis	\N	2005-03-17 17:02:17	INDIA. Tmail Nadu: Silver Cascade, Kodaikanal, Plani Hills	INDIA.	\N	1800	\N	17	17	1
1379	isotipus	A. Vezda: Lichenes Selecti Exsiccati	in apothecis Lecanorae conizaeoides	\N	2005-03-17 17:02:17	DANIA. Sjaellandia: Herstedvester.	Spain	\N	\N	\N	18	18	1
1433	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad lapides calcareos locis apricis	\N	2005-03-17 17:02:17	PERSIA australis. Bandar Lengeh, in collibus ad septentriones-orientem versus ab urbe Bandar Lengeh.	PERSIA	\N	\N	\N	19	19	1
1436	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad corticem et lignum truncorum vetustorum Senecionis johnstonii ssp refractisquamati	\N	2005-03-17 17:02:17	ZAIRE. Prov. Kivu, Birunga montes, in planitie Rukumi montis ignivomi Karisimbi	ZAIRE	\N	3500	\N	20	20	1
1447	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad scopulos andesiticos\r\nAd scopulos andesiticos	\N	2005-03-17 17:02:17	BULGARIA. Distr. Burgas, in litore Euxini Ponti 5 km ad meridiem versus ab oppido Solopol	BULGARIA	\N	3	10	21	21	1
1449	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad corticem Leucaenae sp. ( cult)	\N	2005-03-17 17:02:17	HAWAII INSULAE. Oahu. Keawaula Vally, in litore	U.S.A.	\N	\N	\N	22	22	1
1454	isotipus	A. Vezda: Lichenes Selecti Exsiccati	In thallo Physciae sciastrae parasitice vigens, in rupibus conglomeraticis	\N	2005-03-17 17:02:17	BOHEMOSLOVACIA. Moravia austro-occidentalis, in valle fluminis Rokytná supra urbem Moravský Krumlov	Spain	\N	280	\N	23	23	1
1478	isotipus	A. Vezda: Lichenes Selecti Exsiccati	in thallo Pertusariae leucoplacae vigens, ad corticem Coryli	\N	2005-03-17 17:02:17	MAGNA BRITANIA. Caledonia. Mid-Perthshire, Aberfeldy, Glen Lyon, prope Woodend	ENGLAND	\N	\N	\N	24	24	1
1508	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad coticem arboria ( Ficus sp. cult.)	\N	2005-03-17 17:02:17	HAWAII INSULAE. Insula Oahu, Kuakonahua Gulch prope territorium Universitatis	U.S.A.	\N	210	\N	25	25	1
1509	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad coticem arboria ( Semanea seman cult.)	\N	2005-03-17 17:02:17	HAWAII INSULAE. Kilea, Kau	U.S.A.	\N	110	\N	26	26	1
1516	isotipus	A. Vezda: Lichenes Selecti Exsiccati	ad saxa in silva	\N	2005-03-17 17:02:17	U.S.A. Arkansas. Polk County: 5 km ad septentriones vesrus a Mena, in loco dicto Blue Haze Vista prope viam dictam Talimena Skyline Drive.	U.S.A.	\N	\N	\N	27	27	1
1594	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad lignum putridum et supra muscos.	\N	2005-03-17 17:02:17	AUSTRIA: Salisburgia, Lungau in alpibus "Schladminger Tauern" dictis, in valle dicta Weisspriachtal, inter Kühbarnhütte et Kühbarnalm.	AUSTRIA	\N	1450	\N	28	28	1
1644	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad folia Buxi Colchicae	\N	2005-03-17 17:02:17	U.R.R.S. Rossia merd., Colchis ( Transcaucasia occid.), distr. Lazarevskoje: in faucibus rivi Dagomys Zapadnyi, supra vicum Tretja Rota	U.R.R.S.	\N	250	\N	29	29	1
1692	isotipus	G. Follmann: Lichenes Exsiccati Selecti a Museo Botanico Berolinensi editi	klienflächig auf verhältnismässig glatten Borkenschollen der mittleren Stammpartien einzelner Laubbäume ( Samanea saman) , in einer artenarmen Kleinkrustengesellschaft der Arthonietalia radiatae, SO, pH 6,6	\N	2005-03-17 17:02:17	Hawaii-inseln, Hawaii: trockene Felsenheide( Kau Desert) am Südabfall des Kilauea an der südöstlichen Inselabdachung	Spain	\N	110	\N	30	30	1
1723	topotipus	\N	tuffbildend auf lichtoffenen, seewindbestrichenen luftfeuchten Birmskiesschütten un Lavarippen verschidenen,  Neigungsgrades im Desmazierietum josecuervoi. NW-SW, pH 7,2	\N	2005-03-17 17:02:17	Westmexiko, Niederkalifornien: Westhang der Colina del Sudoeste in der Bahía de San Quintín	Spain	\N	30	90	31	31	1
1749	topotipus	G. Follmann: Lichenes Exsiccati Selecti a Museo Botanico Berolinensi editi	kolonienbildend an halbschttigen luftoffenen Borkenpartien des Mittelstammteils älterer Blaufieberbäume im Graphidetum immersae. 50 m, SO-SW	\N	2005-03-17 17:02:17	Mittelchile, Prov Valparaíso: lychter Eukalyptushain auf den Küstenhöhen über dem Balneario El Quisco	Spain	\N	50	\N	32	32	1
1762	isotipus	G. Follmann: Lichenes Exsiccati Selecti a Museo Botanico Berolinensi editi	flächenfüllend an seewindbestrichenen halbschattigen Borkenschollen der mittleren Stammpartien älterer Nadelbäume im Graphidetum immersae, pH 6,1	\N	2005-03-17 17:02:17	Mittelchile, Prov Aconcagua: Kiefernplanzung im Windschatten der Isla Seca in der Bucht von Zapallar	Spain	\N	20	\N	33	33	1
1776	isotipus	G. Follmann: Lichenes Exsiccati Selecti a Museo Botanico Berolinensi editi	vogelnestartig im halbschattigen Unterkronenteil solitärer Nadelbäume auf jungen Lavaströmen im Ramalinetum subgeniculatae. NO-NW,  pH 6.5	\N	2005-03-17 17:02:17	Kanarische Inseln, Tenerife: Kiefernkampzone im unterem Nebelgürtel bei San Juán del Reparo am nordwestlichen Inselabfall	Spain	\N	800	\N	34	34	1
1982	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Loco aperto ad truncum decorticatum supra rivum	\N	2005-03-17 17:02:17	SUECIA. Vermlandia, par. Lungsund, Punbäcken	SUECIA	\N	170	\N	35	35	1
1993	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad terram et pantas destructas in fossis viae in silva montana	\N	2005-03-17 17:02:17	BRASILIA.São Paulo, Ihla de São Sebastião, 130 km ad oriemtem versus São paulo, ad latera orientalia montis Morro das Tacas	BRASIL	\N	500	\N	36	36	1
2005	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad basin abscisam arboris ( Picea abies)	\N	2005-03-17 17:02:17	NORVEGIA . Sor-Trondelag, Melhus, inter montem Loasen et rivulum Loa, 300-400 m ad septentriones et orientem versus lacu Benna	NORVEGIA	TLC: barbatic acid and 4-0-demethylbarbati acid	185	200	37	37	1
2006	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad saxa sxhistosa, in thallo Lecanorae rupicolae, coll. parasitice vigens	\N	2005-03-17 17:02:17	HISPANIA. Catalonia, montes Montseny, Matagalls	Spain	\N	1500	\N	38	38	1
2037	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad corticem Juniperi thuriferae, in Junipereto thuriferae soluto	\N	2005-03-17 17:02:17	HISPANIA. Prov. Soria, prope vicum Judes, Paramera	Spain	\N	1250	\N	39	39	1
2152	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad saxa quartzictica	\N	2005-03-17 17:02:17	JUGOSLAVIA.Montenegro. Sinus Kotor dictus, supra pagum Morin	JUGOSLAVIA	\N	50	\N	40	40	1
2230	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Foliicola in pluviisilva	\N	2005-03-17 17:02:17	TANZANIA. Tanga regio. Usambara Orientalis, reservatum naturae Kihuhwi Forest dictum, secus trametem inter Kihuhwi et Kwamkoro	TANZANIA	\N	220	320	41	41	1
2340	tipus	\N	en la umbría sobre paredes verticales de roca metamorfica, orientada al N  y protegida de la lluvvia	\N	2005-03-17 17:02:17	Puig de Sa Carbassa	Spain	\N	1600	\N	42	42	1
2422	isotipus	L. Tibell: Caliciales Exsiccatae	on decorticates , dead but still standing trunk of Eucaliptus sp	\N	2005-03-17 17:02:17	AUSTRALIA. Tasmania: Ben Lomond National Park, 32 km E of Evensdale, along Ben Lomond Road, 1 KMNW of Carr Villa	AUSTRALIA	\N	1080	\N	147	41	1
2424	isotipus	L. Tibell: Caliciales Exsiccatae	On Bark of roadside fence-post.	\N	2005-03-17 17:02:17	COSTA RICA. Puntarenas: on old Camino Real, 3,5 km SE of Paso Real	Spain	\N	200	\N	83	9	1
2445	isotipus	L. Tibell: Caliciales Exsiccatae	On trunk of Cocos nucifera at the sea-shore	\N	2005-03-17 17:02:17	COSTA RICA. Limon: 1 km NW of Pto. Limón	COSTA RICA	\N	5	\N	83	10	1
2454	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Foliicola in pluviisilva	\N	2005-03-17 17:02:17	AUSTRALIA. New South Wales: Border Ranges National Park, Wiangaree, Brindle Creek	AUSTRALIA	\N	850	\N	2	4	1
2819	tipus	\N	Sòl calcari més o menys guixós, poc inclinat N solellat	\N	2005-03-17 17:02:17	ESPANYA, Almeria: Pechina	Spain	\N	\N	\N	2	5	1
3200	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad terram glacie destructam, in regione alpina	\N	2005-03-17 17:02:17	KENYA. Regio montis Kenya, in parte superiore vallis Teleki	KENYA	\N	4200	\N	3	6	1
3707	tipus	\N	sobre Quercus ilex	\N	2005-03-17 17:02:17	ESPANYA , Catlunya, Tarragonès, Mas d'en Casico	Spain	\N	40	\N	4	7	1
3963	holotipus	\N	roques carbonatades del litoral, orient N, paràsita de Caloplaca marina	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Tarragona, Tarragonès, Vilaseca i Salou, Punta del Racó ( Cap de Salou)	Spain	\N	3	10	5	8	1
3965	isotipus	\N	roques carbonatades del litoral, orient N, paràsita de Caloplaca marina	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Tarragona, Tarragonès, Vilaseca i Salou, Punta del Racó ( Cap de Salou)	Spain	\N	3	10	6	9	1
3966	isotipus	\N	roques carbonatades del litoral, orient N, paràsita de Caloplaca marina	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Tarragona, Tarragonès, Vilaseca i Salou, Punta del Racó ( Cap de Salou)	Spain	\N	3	10	7	10	1
4063	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad corticem truncorum Aceris rubri	\N	2005-03-17 17:02:17	U.S.A. Carolina Borealis. Orange County: Prope oppidum Hillsborough, in sylva dicta Duke Forest, prope lapidicinas.	U.S.A	\N	165	\N	8	11	1
4067	topotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad saxa andesitica	\N	2005-03-17 17:02:17	HUNGARIA. Distr.Veszprém, Doba, in monte Somló	HUNGARIA	\N	300	350	9	12	1
4120	\N	\N	Pi blanc	\N	2005-03-17 17:02:17	ESPANYA, CATALUNYA, TARRAGONA, Alt Camp: Masarbornès: Torrent Seguera.	Spain	\N	200	\N	10	13	1
4331	holotipus	\N	sobre roques calcàries compactes, 110º incl.	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Girona, Ripollès, Queralbs, Vall de Núria, Forat de l' Embut, sota el Pla dels  Eugassers	Spain	\N	2300	2400	11	14	1
4332	isotipus	\N	sobre roques calcàries compactes, 110º incl.	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Girona, Ripollès, Queralbs, Vall de Núria, Forat de l' Embut, sota el Pla dels  Eugassers	Spain	\N	2300	2400	12	15	1
4427	tipus	\N	Corticolous	\N	2005-03-17 17:02:17	SPAIN, CATALONIA, Tarragona: Esblada ( Alt Camp)	Spain	\N	650	\N	13	16	1
4488	holotipus	\N	Roques calcáries del llit d'un t orrent	\N	2005-03-17 17:02:17	ESPANYA -  CATALUNYA, prov. Barcelona, Anoia, Castellolí.	Spain	\N	400	500	14	17	1
4616	topotipus	A. Vezda: Lichenes Selecti Exsiccati	as saxa basaltica	\N	2005-03-17 17:02:17	ITALIA. SARDINIA. Prov. Cagliari : Giara die Gesturi, supra pagum Gesturi	ITALIA	\N	550	\N	15	18	1
4655	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Foliicola in pluviisilva.	\N	2005-03-17 17:02:17	BRASILIA. Amazonas. Manaus, in ripa fluminis Rio Negro 100-200 km supra Manaus	BRASIL	\N	40	\N	16	19	1
4657	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Foliicola in pluviisilva.	\N	2005-03-17 17:02:17	BRASILIA. São Paulo. Ilha de São  Sebastiao, 130 km ad oriemtem a São Paulo, in declivibus occidentalibus montium Morro das Tacas	BRASIL	\N	200	\N	17	20	1
4658	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad truncum Nothofagi moreii	\N	2005-03-17 17:02:17	AUSTRALIA. New South Wales , reservatum naturae Border Rnages National Park dictum, ad septentriones et orientem a Wiangaree, brindle Creek	AUSTRALIA	\N	850	\N	18	21	1
4659	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Foliicola	\N	2005-03-17 17:02:17	TANZANIA. Tanga regio. Usambara Orientalis, reservatum naturae Marvera Forest, dictum 6 km ad septentriones et orientem ab Amani.	Spain	\N	1000	1180	19	22	1
4664	topotipus	\N	Ad saxa schistosa rivi aestate sicci	\N	2005-03-17 17:02:17	ITALIA. SARDINIA. Prov. Nuoro: Catena del Marghine, infra punta Palai	ITALIA	\N	920	\N	20	23	1
5039	holotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad. corticem arboris in pluviisilva	\N	2005-03-17 17:02:17	AUSTRALIA. Queensland, circa 15 km ad occidentem et septentriones a Tully prope litorem Mission, secus Stony Creek	Spain	\N	20	\N	21	24	1
5041	holotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad. corticem Cupressi loco umbroso	\N	2005-03-17 17:02:17	URUGUAY. Montevideo, Parque Rivera	URUGUAY	\N	\N	\N	22	25	1
5053	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad corticem Fagi	\N	2005-03-17 17:02:17	ITALIA. Calabria, Serra del Prete, loco Massiccio del Pollino dicto	ITALIA	\N	1680	\N	23	26	1
5121	topotipus	A. Vezda: Lichenes Selecti Exsiccati	ad ramulos emortuos Juniperi	\N	2005-03-17 17:02:17	ITALIA. SARDINIA. Prov. Sassari. Nurra, scopulum Punta ( Capo) Falcone dictum	ITALIA	\N	150	\N	24	27	1
5224	tipus	\N	Corylus avellana	\N	2005-03-17 17:02:17	Espanya, CATALUNYA, Montsianès, La Sènia, Barrabanc del Retaule ( serra dels Ports)	Spain	\N	1000	1100	25	28	1
5264	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad saxa andesitica sub arcem	\N	2005-03-17 17:02:17	AUSTRIA. Stiria, distr. Feldbach, Riegersburg	AUSTRIA	\N	400	\N	26	29	1
5287	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad truncum Aceris pseudoplatani	\N	2005-03-17 17:02:17	GERMANIA. Bavaria: Berchtesgadener Land, Unterschönau, Astenreirweg-  Zulehenweg	GERMANY	\N	620	\N	27	30	1
5326	isotipus	A. Vezda: Lichenes Selecti Exsiccati	In pluviisilva montana	\N	2005-03-17 17:02:17	TANZANIA. Regio Morogoro: montes Nguru, in valle "Dikurura", 3 km ad orientem a " Mhonda Mission".	TANZANIA	\N	900	\N	28	31	1
5328	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Foliicola in pluviisilva	14-18-10-1980	2005-03-17 17:02:17	BRASILIA. Amazonas: Manaus, 100 km ad septentiones et occidenten a Manaus	BRASIL	\N	40	\N	29	32	1
5329	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad corticem trunci Betulae	\N	2005-03-17 17:02:17	AUSTRIA. Styria: in collibus" Oststeierisches Hügeland", distr. Feldbach, Lamberg in pago Petersdorf II	AUSTRIA	\N	420	\N	30	33	1
5561	holotipus	\N	on soft meteorized granitic blocks	\N	2005-03-17 17:02:17	Spain, Catalonia, prov. Barcelona, El Maresme, Dosrius, Parque Natural del Corredor, along the way to the farm named Can Miloca	Spain	\N	500	\N	31	34	1
5704	holotipus	\N	roca calcària( bloc)	\N	2005-03-17 17:02:17	ESPANYA, CATALUNYA, prov. de TARRAGONA, TERRA ALTA, l'Horta de St Joan, Riu de l' Estret  ( Serra dels Ports)	Spain	\N	500	600	32	35	1
5705	holotipus	\N	roca calcària ( pedres del sòl)	\N	2005-03-17 17:02:17	ESPANYA, CATALUNYA, prov. de TARRAGONA, ALT CAMP, Querol, a prop d'Esblada	Spain	\N	700	750	33	36	1
5707	holotipus	\N	roca calcària ( bloc)	\N	2005-03-17 17:02:17	ESPANYA, CATALUNYA, prov. de TARRAGONA, MONTSIANES, la Sénia, Fageda del Retaule ( Serra dels Ports)	Spain	\N	1100	\N	34	37	1
5740	isotipus	\N	on Juniperus thurifera	\N	2005-03-17 17:02:17	Spain, Palencia: La Cruz, Velilla del Rio Carrión	Spain	\N	1200	\N	35	38	1
5741	isotipus	Herbarium Walter Obermayer	auf Salix alba	\N	2005-03-17 17:02:17	ÖSTEREICH, Steiermark, Seetaler Alpen-N-Abhang, 6 km E von Unzmarkt, Murknie zwischen Wöll und Edling	AUSTRIA	\N	720	\N	36	39	1
8200	holotipus	\N	roca calcària ( bloc). Orient. N.	\N	2005-03-17 17:02:17	ESPANYA, CATALUNYA, prov. de Tarragona, TARRAGONES, Vila-seca i Salou, Punta del Racò ( Cap de Salou)	Spain	\N	3	10	37	40	1
8284	isotipus	\N	roca margosa calcària( pedres del sòl).	\N	2005-03-17 17:02:17	ESPANYA, CATALUNYA, prov. de TARRAGONA, ALT CAMP, Querol a prop d'Esblada	Spain	\N	700	750	38	41	1
8381	isotipus	\N	sur sol argileux décalcifié	\N	2005-03-17 17:02:17	France, Provence, Bouches-du-Rhône, Martigues-Caronte, près du vallon de Bonnieux	France	\N	2	3	39	42	1
8382	isotipus	\N	sur sol argileux décalcifié	\N	2005-03-17 17:02:17	France, Provence, Bouches-du-Rhône, Martigues-Caronte, près du vallon de Bonnieux	France	\N	2	3	40	43	1
8383	isotipus	\N	sur sol argileux décalcifié	\N	2005-03-17 17:02:17	France, Provence, Bouches-du-Rhône, Martigues-Caronte, près du vallon de Bonnieux	France	\N	2	3	41	44	1
8384	isotipus	\N	sur sol argileux décalcifié	\N	2005-03-17 17:02:17	France, Provence, Bouches-du-Rhône, Martigues-Caronte, près du vallon de Bonnieux	France	\N	2	3	42	45	1
8385	isotipus	\N	sur sol argileux décalcifié	\N	2005-03-17 17:02:17	France, Provence, Bouches-du-Rhône, Martigues-Caronte, près du vallon de Bonnieux	France	\N	2	3	43	46	1
8391	isotipus	Herbario C. Roux	8 m sub la lumturo, supre de klifo , apudmara etago. krutajo, kalkopetro marna, ofte grandparte senkalkita, prepice ce la suprajo.Orientigo: generala: U; loka: U. Deklivo : 80º	\N	2005-03-17 17:02:17	Portugalio, Algarve, kabo S. Vicente	PORTUGAL	\N	80	\N	44	47	1
8394	isotipus	Herbario C. Roux	apude k U de la televid-cenro, adlitora etago, sur krutajeto el korala kalkopetro malfajne grejsa, je 25 m de la maro, elmetita al la marrsprucoj. Orientigo: generala: SSU; loka: N. Deklivo: 80º	\N	2005-03-17 17:02:17	Cipro, Larnaca, kabo Greco	Spain	\N	15	\N	45	48	1
8398	holotipus	\N	sobre piedras margosas del suelo	\N	2005-03-17 17:02:17	España, Catalunya, prov. Tarragona: Alt Camp, Querol, cerca del pueblo de Esblada	Spain	\N	700	\N	46	49	1
8399	holotipus	\N	on calcareus rocks exposed to the W	\N	2005-03-17 17:02:17	España, Catalunya: Prov. Tarragona, Ribera d' Ebre. Móra d'Ebre, els Xarcums	Spain	\N	300	\N	47	50	1
8962	holotipus	\N	sobre suelo gipsicola	\N	2005-03-17 17:02:17	ESP, Navarra, prov. de, Rada, la Bardena Blanca	Spain	\N	300	400	48	51	1
9032	isotipus	Coll.: P. v. d. Boom	E exp. rock on slope	\N	2005-03-17 17:02:17	PORTUGAL. Algarve. N of Portimão, 6 1/2 km WNW of Silves, 1 km N of road  '124', along river Odelouca, small valley ( W_E) with E exposed outcrops, Ceratonia and Olea	PORTUGAL	\N	20	\N	49	52	1
9309	holotipus	\N	sobre roca calcarea, orient. N, incli. 90º	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Girona, Baix Empordà, Torruella de Montgrí, Illes Medes, Meda Gran	Spain	\N	50	\N	50	53	1
9736	holotipus	\N	roca calcària. Parasita Fulgensia fulgens	\N	2005-03-17 17:02:17	ESP, illes Balears, prov. de Menorca, Ciutadella, prop de Cala'n Bastó	Spain	preparacions microscòpiques	6	10	51	54	1
10385	isotipus	Coll.: P. v. d. Boom	\N	\N	2005-03-17 17:02:17	PORTUGAL. Algarve. NV of Sagres, S of road toCabo de São vicente, haflway, coastal plain with exposed outcrops and shrubs	PORTUGAL	\N	50	\N	52	55	1
10768	holotipus	A. Vezda: Lichenes Selecti Exsiccati	Garrofer	\N	2005-03-17 17:02:17	SPAIN: Catalunya, Baix Ebre, L'Atmella de Mar, Mas Rabosenc	Spain	\N	100	\N	53	56	1
13209	isotipus	\N	sobre sòls guixencs.  Parasita Fulgensia desertorum	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Lleida, Noguera, Vilanova de l'Aguda, prop de pble de Ribelles	Spain	\N	400	\N	54	57	1
13210	isotipus	\N	sobre sòls guixencs. Parasita Fulgensia desertorum	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Lleida, Noguera, Vilanova de l'Aguda, prop de pble de Ribelles	Spain	\N	400	\N	55	58	1
13211	holotipus	\N	sobre s`ls guixencs. Parasita Fulgensia desertorum	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Lleida, Noguera, Vilanova de l'Aguda, prop de pble de Ribelles	Spain	\N	\N	\N	56	59	1
13213	holotipus	\N	sobre pedres calcàries del sòl. Parasita Caloplaca marmorata	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Lleida, Segarra, Cervera, sobre les Fonts de Orobins, al costat de la carretera de Granyellana	Spain	\N	500	\N	57	60	1
13215	holotipus	\N	sobre  Epifits de Acer opalus subsp granatense. Parasita lecidella elaeochroma	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Tarragona, Montsianès, La Sénia, Barranc del Retaule ( Serra dels Ports)	Spain	\N	1100	\N	58	61	1
13217	holotipus	\N	sobre Gres carbonat.Parasita Caloplaca gr. variabilis	\N	2005-03-17 17:02:17	FRA, Provença, prov. de Vaucluse, Gordes , Col de Gordes	France	\N	350	\N	59	62	1
13219	isotipus	\N	sobre roca cabonatada	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de  Tarragona,  Alt Camp, Querol, prop d' Esblada	Spain	\N	700	750	60	63	1
13236	isotipus	\N	sobre roca carbonatada, parasita de Aspicilia coronata	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Tarragona, Priorat, La Torre de Fontaubella, Collet de la Plana d'en Cervera	Spain	\N	500	550	61	64	1
13237	isotipus	\N	sobre roca carbonatada, parasita de Aspicilia coronata , prop de Caloplaca alociza	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Tarragona, Priorat, La Torre de Fontaubella, Collet de la Plana d'en Cervera	Spain	\N	500	550	62	65	1
13238	holotipus	\N	sobre roca carbonatada, parasita de Aspicilia coronata	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Tarragona, Priorat, La Torre de Fontaubella, Collet de la Plana d'en Cervera	Spain	\N	500	550	63	66	1
13239	holotipus	\N	sobre roca carbonatada, parasita de Caloplaca erythocarpa	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Tarragona, Ribera d'Ebre, Tivissa, Barranc de Montalt, prop de Serra d' Almòs	Spain	\N	300	400	64	67	1
13240	isotipus	\N	sobre roca carbonatada, parasita de Caloplaca erythocarpa	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Tarragona, Ribera d'Ebre, Tivissa, Barranc de Montalt, prop de Serra d' Almòs	Spain	\N	300	400	65	68	1
13262	isotipus	\N	sur sol argileux decalcifié, parasite de Squamarina lentigera	\N	2005-03-17 17:02:17	FRA, Provença, prov. de  Bouches-du-Rhône, Martigues-Caronte, près du vallon de Bonnieux	France	\N	2	3	66	69	1
13263	isotipus	\N	sur sol argileux decalcifié, parasita de Squamarina lentigera	\N	2005-03-17 17:02:17	FRA, Provença, prov. de  Bouches-du-Rhône, Martigues-Caronte, près du vallon de Bonnieux	France	\N	2	3	67	70	1
13264	isotipus	\N	sur sol argileux decalcifié, parasite de Squamarina lentigera	\N	2005-03-17 17:02:17	FRA, Provença, prov. de  Bouches-du-Rhône, Martigues-Caronte, près du vallon de Bonnieux	France	\N	2	3	68	71	1
13265	isotipus	\N	sur sol argileux decalcifié, parasite de Squamarina lentigera	\N	2005-03-17 17:02:17	FRA, Provença, prov. de  Bouches-du-Rhône, Martigues-Caronte, près du vallon de Bonnieux	France	\N	2	3	69	72	1
13266	isotipus	\N	sur sol argileux decalcifié, parasita de Squamarina lentigera	\N	2005-03-17 17:02:17	FRA, Provença, prov. de  Bouches-du-Rhône, Martigues-Caronte, près du vallon de Bonnieux	France	\N	2	3	70	73	1
13374	isotipus	\N	roca cabonatada, marga, pedres del sol	\N	2005-03-17 17:02:17	ESP, Catalunya, prov de Tarragona, Alt Camp, Querol, prop d'Esblada	Spain	\N	700	750	71	74	1
13375	isotipus	\N	roca cabonatada, marga, pedres del sol	\N	2005-03-17 17:02:17	ESP, Catalunya, prov de Tarragona, Alt Camp, Querol, prop d'Esblada	Spain	\N	700	750	72	75	1
13384	isotipus	\N	parts superiors exposades de blocs de calcaria compacta	\N	2005-03-17 17:02:17	FRA, Llenguadoc-Roselló prov. de Pirineus Orientals, Tautavel ( Taltaull) , cami entre el fort i la torre, prop de la pedrera	France	\N	400	500	73	76	1
13386	isotipus	\N	Parts superiors exposades de blocs de calcaria compacta	\N	2005-03-17 17:02:17	FRA, Llenguadoc- Roselló, prov de Pirineus Orientals, Tautavel ( Taltaull), cami entre el fort i la torre, prop de la pedrera	France	\N	400	500	74	77	1
13387	isotipus	\N	parts superiors exposades de blocs de calcaria compacta	\N	2005-03-17 17:02:17	FRA, Llenguadoc- Roselló, prov de Pirineus Orientals, Tautavel ( Taltaull), cami entre el fort i la torre, prop de la pedrera	France	\N	400	500	75	78	1
13388	isotipus	\N	parts superiors exposades de blocs de calcaria compacta	\N	2005-03-17 17:02:17	FRA, Llenguadoc- Roselló, prov de Pirineus Orientals, Tautavel ( Taltaull), cami entre el fort i la torre, prop de la pedrera	France	\N	400	500	76	79	1
13389	isotipus	\N	parts superiors exposades de blocs de calcaria compacta	\N	2005-03-17 17:02:17	FRA, Llenguadoc- Roselló, prov de Pirineus Orientals, Tautavel ( Taltaull), cami entre el fort i la torre, prop de la pedrera	France	\N	400	500	77	80	1
13421	holotipus	\N	sobre roca carbonatada, parasita de Aspicilia calcarea	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Tarragona, Ribera d'Ebre, Tivissa, Barranc de Montalt, prop de Serra d' Almòs	Spain	\N	300	400	78	81	1
13747	tipus	\N	sobre Quercus ilex	\N	2005-03-17 17:02:17	ESP, Catalunya, prov. de Barcelona, Vallès Occidental, Matadepera, serra de Sant Llorenç del Munt, Canal Freda	Spain	\N	700	\N	79	82	1
14133	isotipus	\N	On Quercus pyrenaica trunk	\N	2005-03-17 17:02:17	España: Madrid, Cercedilla	Spain	\N	1300	\N	80	83	1
14202	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad folia Buxi colchicae	\N	2005-03-17 17:02:17	URSS. Rossia merid., Colchis (Transcaucasia occid.), distr. Adler: in valle angusta rivi Kudepsta, 5 km ab ostio in mare.	URSS	\N	20	30	81	84	1
14203	isotipus	A. Vezda: Lichenes Selecti Exsiccati	Ad folia Buxi colchicae	\N	2005-03-17 17:02:17	URSS. Rossia merid., Colchis (Transcaucasia occid.), distr. Lazarevskoje: in faucibus rivi Dagomys Zapadnyi, supra vicum Tretja Rota	URSS	\N	250	\N	82	85	1
14204	\N	HerbariumImages BGBM	\N	\N	2003-09-16 00:00:00	Allgaeuer Alpen	Germany	\N	1500	1500	10	47	1
\.


--
-- TOC entry 1676 (class 0 OID 31928)
-- Dependencies: 1320
-- Data for Name: identifications; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY identifications (id, unit_id, prefered_flag, date_text, name_author_year_string, genus, first_epithet, second_epithet, rank, author, identification_author, higher_taxon, identification_ref) FROM stdin;
111523	1447	1	\N	Ramalina euxini Vezda	Ramalina	euxini	\N	sp.	Vezda	\N	Ramalinaceae	\N
111524	1776	1	\N	Ramalina superfraxinea Follmann & Sánchez-Pinto	Ramalina	superfraxinea	\N	sp.	Follmann & Sánchez-Pinto	\N	Ramalinaceae	ZAHLBRUCKNER, A. 1921 - 1940. Catalogus Lichenum Universalis 1-1O. Borntraeger, Leipzig & Berlin.
111522	421	1	\N	Ramalina cactacearum Follmann	Ramalina	cactacearum	\N	sp.	Follmann	Follmann, G.	Ramalinaceae	ZAHLBRUCKNER, A. 1921 - 1940. Catalogus Lichenum Universalis 1-1O. Borntraeger, Leipzig & Berlin.
111521	1433	1	\N	Pyrenopsis sojakii Vezda	Pyrenopsis	sojakii	\N	sp.	Vezda	\N	Lichinaceae	\N
111520	2037	1	\N	Pertusaria paramerae A. Crespo & Vezda	Pertusaria	paramerae	\N	sp.	A. Crespo & Vezda	\N	Pertusariaceae	ZAHLBRUCKNER, A. 1921 - 1940. Catalogus Lichenum Universalis 1-1O. Borntraeger, Leipzig & Berlin.
111519	1352	1	\N	Parmotrema indicum Hale	Parmotrema	indicum	\N	sp.	Hale	\N	Parmeliaceae	\N
111518	14133	1	\N	Parmelia semansiana W.L. Culb. & C.F. Culb.	Parmelia	semansiana	\N	sp.	W.L. Culb. & C.F. Culb.	\N	Parmeliaceae	ZAHLBRUCKNER, A. 1921 - 1940. Catalogus Lichenum Universalis 1-1O. Borntraeger, Leipzig & Berlin.
111517	1516	1	\N	Parmelia semansiana W.L. Culb. & C.F. Culb.	Parmelia	semansiana	\N	sp.	W.L. Culb. & C.F. Culb.	\N	Parmeliaceae	ZAHLBRUCKNER, A. 1921 - 1940. Catalogus Lichenum Universalis 1-1O. Borntraeger, Leipzig & Berlin.
111516	1478	1	\N	Opegrapha pertusariicola Coppins & P. James	Opegrapha	pertusariicola	\N	sp.	Coppins & P. James	\N	Roccellaceae	\N
111515	5561	1	\N	Neofuscelia halei Essl., M. Barbero & Llimona	Neofuscelia	halei	\N	sp.	Essl., M. Barbero & Llimona	Esslinger, Theodore L.	Parmeliaceae	ZAHLBRUCKNER, A. 1921 - 1940. Catalogus Lichenum Universalis 1-1O. Borntraeger, Leipzig & Berlin.
111513	1982	1	\N	Micarea muhrii Coppins	Micarea	muhrii	\N	sp.	Coppins	\N	Micareaceae	\N
111512	4657	1	\N	Mazosia pseudobambusae Kalb & Vezda	Mazosia	pseudobambusae	\N	sp.	Kalb & Vezda	\N	Roccellaceae	\N
111511	4655	1	\N	Mazosia pilosa Kalb & Vezda	Mazosia	pilosa	\N	sp.	Kalb & Vezda	\N	Roccellaceae	ZAHLBRUCKNER, A. 1921 - 1940. Catalogus Lichenum Universalis 1-1O. Borntraeger, Leipzig & Berlin.
111510	8399	1	\N	Lichenostigma elongata Nav.-Ros. & Hafellner	Lichenostigma	elongata	\N	sp.	Nav.-Ros. & Hafellner	\N	Lichenotheliaceae	\N
111509	1379	1	\N	Lichenoconium parasiticum D. Hawksw.	Lichenoconium	parasiticum	\N	sp.	D. Hawksw.	\N	Incertae sedis	\N
111508	13217	1	\N	Lichenochora pyrenodesmiae Nav.-Ros. & Cl. Roux	Lichenochora	pyrenodesmiae	\N	sp.	Nav.-Ros. & Cl. Roux	\N	Incertae sedis	\N
111507	13215	1	\N	Lichenochora lecidellae Boqueras & Nav.-Ros.	Lichenochora	lecidellae	\N	sp.	Boqueras & Nav.-Ros.	\N	Incertae sedis	ZAHLBRUCKNER, A. 1921 - 1940. Catalogus Lichenum Universalis 1-1O. Borntraeger, Leipzig & Berlin.
111506	13213	1	\N	Lichenochora epimarmorata Nav.-Ros.	Lichenochora	epimarmorata	\N	sp.	Nav.-Ros.	\N	Incertae sedis	\N
111505	9736	1	\N	Lichenochora epifulgens Nav.-Ros. & Cl. Roux	Lichenochora	epifulgens	\N	sp.	Nav.-Ros. & Cl. Roux	\N	Incertae sedis	\N
111504	13211	1	\N	Lichenochora epidesertorum Nav.-Ros.	Lichenochora	epidesertorum	\N	sp.	Nav.-Ros.	\N	Incertae sedis	\N
111503	13210	1	\N	Lichenochora epidesertorum Nav.-Ros.	Lichenochora	epidesertorum	\N	sp.	Nav.-Ros.	\N	Incertae sedis	\N
111502	13209	1	\N	Lichenochora epidesertorum Nav.-Ros.	Lichenochora	epidesertorum	\N	sp.	Nav.-Ros.	\N	Incertae sedis	\N
111501	13266	1	\N	Lichenochora clauzadei Nav.-Ros.	Lichenochora	clauzadei	\N	sp.	Nav.-Ros.	\N	Incertae sedis	\N
111500	13265	1	\N	Lichenochora clauzadei Nav.-Ros.	Lichenochora	clauzadei	\N	sp.	Nav.-Ros.	\N	Incertae sedis	\N
111499	13264	1	\N	Lichenochora clauzadei Nav.-Ros.	Lichenochora	clauzadei	\N	sp.	Nav.-Ros.	\N	Incertae sedis	\N
111498	13263	1	\N	Lichenochora clauzadei Nav.-Ros.	Lichenochora	clauzadei	\N	sp.	Nav.-Ros.	\N	Incertae sedis	\N
111497	13262	1	\N	Lichenochora clauzadei Nav.-Ros.	Lichenochora	clauzadei	\N	sp.	Nav.-Ros.	\N	Incertae sedis	\N
111496	8385	1	\N	Lichenochora clauzadei Nav.-Ros.	Lichenochora	clauzadei	\N	sp.	Nav.-Ros.	\N	Incertae sedis	\N
111495	8384	1	\N	Lichenochora clauzadei Nav.-Ros.	Lichenochora	clauzadei	\N	sp.	Nav.-Ros.	\N	Incertae sedis	\N
111494	8383	1	\N	Lichenochora clauzadei Nav.-Ros.	Lichenochora	clauzadei	\N	sp.	Nav.-Ros.	\N	Incertae sedis	\N
111493	8382	1	\N	Lichenochora clauzadei Nav.-Ros.	Lichenochora	clauzadei	\N	sp.	Nav.-Ros.	\N	Incertae sedis	\N
111492	8381	1	\N	Lichenochora clauzadei Nav.-Ros.	Lichenochora	clauzadei	\N	sp.	Nav.-Ros.	\N	Incertae sedis	\N
111491	4616	1	\N	Lecidella vorax Leuckert & Poelt	Lecidella	vorax	\N	sp.	Leuckert & Poelt	\N	Lecanoraceae	\N
111490	5121	1	\N	Lecidella achristotera (Nyl.) Hertel & Leuckert var. juniperina Poelt & Nimis	Lecidella	achristotera	\N	sp.	(Nyl.) Hertel & Leuckert	\N	Lecanoraceae	\N
111489	39	1	\N	Lecidea gypsicola Llimona	Lecidea	gypsicola	\N	sp.	Llimona	\N	Lecideaceae	\N
111488	2340	1	\N	Lecanora subradiosa Nyl. var. effigurata Hladun	Lecanora	subradiosa	\N	sp.	Nyl.	\N	Lecanoraceae	\N
111487	3707	1	\N	Lecanora strobilinoides Giralt & Gómez-Bolea	Lecanora	strobilinoides	\N	sp.	Giralt & Gómez-Bolea	\N	Lecanoraceae	\N
111486	1298	1	\N	Lecanora andrewii de Lesd.	Lecanora	andrewii	\N	sp.	de Lesd.	\N	Lecanoraceae	\N
111485	10385	1	\N	Lecania poeltii Van den Boom, Alonso & Egea	Lecania	poeltii	\N	sp.	Van den Boom, Alonso & Egea	Poelt, J.	Bacidiaceae	\N
111483	1762	1	1976-01-09 00:00:00	Lecanactis subdryophila Follmann & Vezda	Lecanactis	subdryophila	\N	sp.	Follmann & Vezda	Vezda, A.	Roccellaceae	\N
111481	1749	1	1977-01-09 00:00:00	Lecanactis acicularis C.W. Dodge	Lecanactis	acicularis	\N	sp.	C.W. Dodge	Follmann, G.	Roccellaceae	\N
111480	13375	1	\N	Koerberiella pruinosa Nav.-Ros. & Hafellner	Koerberiella	pruinosa	\N	sp.	Nav.-Ros. & Hafellner	\N	Porpidiaceae	\N
111479	13374	1	\N	Koerberiella pruinosa Nav.-Ros. & Hafellner	Koerberiella	pruinosa	\N	sp.	Nav.-Ros. & Hafellner	\N	Porpidiaceae	\N
111478	13219	1	\N	Koerberiella pruinosa Nav.-Ros. & Hafellner	Koerberiella	pruinosa	\N	sp.	Nav.-Ros. & Hafellner	\N	Porpidiaceae	\N
111477	8398	1	\N	Koerberiella pruinosa Nav.-Ros. & Hafellner	Koerberiella	pruinosa	\N	sp.	Nav.-Ros. & Hafellner	\N	Porpidiaceae	\N
111476	8284	1	\N	Koerberiella pruinosa Nav.-Ros. & Hafellner	Koerberiella	pruinosa	\N	sp.	Nav.-Ros. & Hafellner	Navarro-Rosinés, P.	Porpidiaceae	\N
111474	5224	1	\N	Karsteniomyces llimonae Boqueras & Diederich	Karsteniomyces	llimonae	\N	sp.	Boqueras & Diederich	Boqueras, M.	Incertae sedis	\N
111473	2152	1	\N	Huilia circumnigrata Vezda	Huilia	circumnigrata	\N	sp.	Vezda	\N	Porpidiaceae	\N
111472	4063	1	\N	Haematomma pustulatum Brodo & W.L. Culb.	Haematomma	pustulatum	\N	sp.	Brodo & W.L. Culb.	\N	Haematommataceae	\N
111471	1993	1	\N	Gyalideopsis kalbii Vezda	Gyalideopsis	kalbii	\N	sp.	Vezda	\N	Gomphillaceae	\N
111470	14203	1	\N	Gyalectidium colchicum Vezda	Gyalectidium	colchicum	\N	sp.	Vezda	\N	Gomphillaceae	\N
111469	1644	1	\N	Gyalectidium colchicum Vezda	Gyalectidium	colchicum	\N	sp.	Vezda	\N	Gomphillaceae	\N
111468	2819	1	\N	Fulgensia poeltii Llimona	Fulgensia	poeltii	\N	sp.	Llimona	\N	Teloschistaceae	\N
111467	607	1	\N	Fulgensia poeltii Llimona	Fulgensia	poeltii	\N	sp.	Llimona	\N	Teloschistaceae	\N
111466	612	1	\N	Fulgensia fulgida (Nyl.) Szatala var. calcinata Llimona	Fulgensia	fulgida	\N	sp.	(Nyl.) Szatala	\N	Teloschistaceae	\N
111465	611	1	\N	Fulgensia desertorum (Tomin) Poelt fma macrospora Llimona	Fulgensia	desertorum	\N	sp.	(Tomin) Poelt	\N	Teloschistaceae	\N
111464	2454	1	\N	Fellhanera endopurpurea Hafellner & Vezda	Fellhanera	endopurpurea	\N	sp.	Hafellner & Vezda	\N	Pilocarpaceae	\N
111463	4120	1	\N	Diplolaeviopsis ranula Giralt & D. Hawksw.	Diplolaeviopsis	ranula	\N	sp.	Giralt & D. Hawksw.	\N	Incertae sedis	\N
111462	4659	1	\N	Dimerella usambarensis Vezda & Farkas	Dimerella	usambarensis	\N	sp.	Vezda & Farkas	\N	Gyalectaceae	\N
111461	5326	1	\N	Dimerella subfallaciosa Vezda & Farkas	Dimerella	subfallaciosa	\N	sp.	Vezda & Farkas	\N	Gyalectaceae	\N
111460	5039	1	\N	Dimerella subdentata Vezda & G. Thor	Dimerella	subdentata	\N	sp.	Vezda & G. Thor	\N	Gyalectaceae	\N
111459	2230	1	\N	Dimerella pocsii Vezda & Farkas	Dimerella	pocsii	\N	sp.	Vezda & Farkas	\N	Gyalectaceae	\N
111458	5041	1	\N	Dimerella isidiigera Vezda & Osorio	Dimerella	isidiigera	\N	sp.	Vezda & Osorio	\N	Gyalectaceae	\N
111457	1692	1	1980-01-02 00:00:00	Dimerella frederici Kalb	Dimerella	frederici	\N	sp.	Kalb	Kalb, K.	Gyalectaceae	\N
111456	1509	1	\N	Dimerella frederici Kalb	Dimerella	frederici	\N	sp.	Kalb	\N	Gyalectaceae	\N
111455	1508	1	\N	Dimerella degeneri Kalb & Vezda	Dimerella	degeneri	\N	sp.	Kalb & Vezda	\N	Gyalectaceae	\N
111454	1723	1	\N	Desmazieria josecuervoi Rundel & Bowler	Desmazieria	josecuervoi	\N	sp.	Rundel & Bowler	\N	Ramalinaceae	\N
111453	2005	1	\N	Cladonia norvegica Tønsberg & Holien	Cladonia	norvegica	\N	sp.	Tønsberg & Holien	\N	Cladoniaceae	\N
111452	447	1	\N	Chiodecton klementii Follmann	Chiodecton	klementii	\N	sp.	Follmann	\N	Roccellaceae	\N
111451	5329	1	\N	Cheiromycina petri D. Hawksw. & Poelt	Cheiromycina	petri	\N	sp.	D. Hawksw. & Poelt	\N	Incertae sedis	\N
111450	4332	1	\N	Catapyrenium nuriense Nav.-Ros. & Breuss	Catapyrenium	nuriense	\N	sp.	Nav.-Ros. & Breuss	\N	Verrucariaceae	\N
111449	4331	1	\N	Catapyrenium nuriense Nav.-Ros. & Breuss	Catapyrenium	nuriense	\N	sp.	Nav.-Ros. & Breuss	\N	Verrucariaceae	\N
111448	8962	1	\N	Catapyrenium llimonae Etayo, Nav.-Ros. & Breuss	Catapyrenium	llimonae	\N	sp.	Etayo, Nav.-Ros. & Breuss	\N	Verrucariaceae	\N
111447	5053	1	\N	Candelariella faginea Nimis, Poelt & Puntillo	Candelariella	faginea	\N	sp.	Nimis, Poelt & Puntillo	\N	Candelariaceae	\N
111446	8394	1	\N	Caloplaca veneris Cl. Roux & Nav.-Ros.	Caloplaca	veneris	\N	sp.	Cl. Roux & Nav.-Ros.	\N	Teloschistaceae	\N
111445	8200	1	\N	Caloplaca tavaresiana Nav.-Ros. & Cl. Roux	Caloplaca	tavaresiana	\N	sp.	Nav.-Ros. & Cl. Roux	\N	Teloschistaceae	\N
111443	621	1	\N	Caloplaca gloriae Llimona & Werner	Caloplaca	gloriae	\N	sp.	Llimona & Werner	Llimona	Teloschistaceae	\N
111442	620	1	\N	Caloplaca gloriae Llimona & Werner	Caloplaca	gloriae	\N	sp.	Llimona & Werner	Werner	Teloschistaceae	\N
111440	8391	1	\N	Caloplaca egeana Cl. Roux & Nav.-Ros.	Caloplaca	egeana	\N	sp.	Cl. Roux & Nav.-Ros.	\N	Teloschistaceae	\N
111439	5264	1	\N	Caloplaca citrina (Hoffm.) Th. Fr. var. arcis Poelt et Vezda	Caloplaca	citrina	\N	sp.	(Hoffm.) Th. Fr.	\N	Teloschistaceae	\N
111438	13389	1	\N	Caloplaca calcitrapa Nav.-Ros., Gaya & Cl. Roux	Caloplaca	calcitrapa	\N	sp.	Nav.-Ros., Gaya & Cl. Roux	\N	Teloschistaceae	\N
111437	13388	1	\N	Caloplaca calcitrapa Nav.-Ros., Gaya & Cl. Roux	Caloplaca	calcitrapa	\N	sp.	Nav.-Ros., Gaya & Cl. Roux	\N	Teloschistaceae	\N
111436	13387	1	\N	Caloplaca calcitrapa Nav.-Ros., Gaya & Cl. Roux	Caloplaca	calcitrapa	\N	sp.	Nav.-Ros., Gaya & Cl. Roux	\N	Teloschistaceae	\N
111435	13386	1	\N	Caloplaca calcitrapa Nav.-Ros., Gaya & Cl. Roux	Caloplaca	calcitrapa	\N	sp.	Nav.-Ros., Gaya & Cl. Roux	\N	Teloschistaceae	\N
111434	13384	1	\N	Caloplaca calcitrapa Nav.-Ros., Gaya & Cl. Roux	Caloplaca	calcitrapa	\N	sp.	Nav.-Ros., Gaya & Cl. Roux	\N	Teloschistaceae	\N
111433	2424	1	\N	Calicium constrictum Tibell	Calicium	constrictum	\N	sp.	Tibell	\N	Caliciaceae	\N
111432	2422	1	\N	Calicium adspersum Pers. subsp. australe Tibell	Calicium	adspersum	australe	subsp.	Tibell	\N	Caliciaceae	\N
111431	13747	1	\N	Byssoloma llimonae Sérus., Gómez-Bolea, Longán & Lücking	Byssoloma	llimonae	\N	sp.	Sérus., Gómez-Bolea, Longán & Lücking	\N	Pilocarpaceae	\N
111430	5328	1	\N	Byssoloma amazonicum Kalb & Vezda	Byssoloma	amazonicum	\N	sp.	Kalb & Vezda	\N	Pilocarpaceae	\N
111429	1454	1	\N	Buelliella physciicola Poelt & Hafellner	Buelliella	physciicola	\N	sp.	Poelt & Hafellner	\N	Incertae sedis	\N
111428	1449	1	\N	Buellia multispora Kalb & Vezda	Buellia	multispora	\N	sp.	Kalb & Vezda	\N	Physciaceae	\N
111427	9309	1	\N	Belonia mediterranea Nav.-Ros. & Llimona	Belonia	mediterranea	\N	sp.	Nav.-Ros. & Llimona	\N	Gyalectaceae	\N
111426	368	1	\N	Belonia caudata (Vezda & Vivant) P.M. Jørg. & Vezda,	Belonia	caudata	\N	sp.	(Vezda & Vivant) P.M. Jørg. & Vezda,	\N	Gyalectaceae	\N
111425	14202	1	\N	Bacidia vasakii Vezda	Bacidia	vasakii	\N	sp.	Vezda	\N	Bacidiaceae	\N
111424	4664	1	\N	Aspicilia hydrocharis Poelt & Nimis	Aspicilia	hydrocharis	\N	sp.	Poelt & Nimis	\N	Hymeneliaceae	\N
111422	1594	1	\N	Anzina carneonivea (Anzi) Scheid.	Anzina	carneonivea	\N	sp.	(Anzi) Scheid.	\N	Agyriaceae	\N
111423	10768	1	\N	Arthothelium taediosoides Giralt & Grube	Arthothelium	taediosoides	\N	sp.	Giralt & Grube	\N	Incertae sedis	\N
111421	5287	0	\N	Xanthoria fulva (Hoffm.) Poelt & Petut.	Xanthoria	fulva	\N	sp.	(Hoffm.) Poelt & Petut.	Poelt, J.	Teloschistaceae	\N
111419	1025	0	\N	Usnea pinnata Räsänen	Usnea	pinnata	\N	sp.	Räsänen	Räsänen, V.	Parmeliaceae	\N
111418	879	0	\N	Usnea grandis Motyka	Usnea	grandis	\N	sp.	Motyka	Motyka, J.	Parmeliaceae	\N
111417	425	0	1966-01-12 00:00:00	Usnea eulychinae Follmann	Usnea	eulychinae	\N	sp.	Follmann	Follmann, G.	Parmeliaceae	\N
111416	435	0	1966-01-12 00:00:00	Roccellina luteola Follmann	Roccellina	luteola	\N	sp.	Follmann	Follmann, G.	\N	\N
111415	4427	0	\N	Rinodina boleana Giralt & H. Mayrhofer	Rinodina	boleana	\N	sp.	Giralt & H. Mayrhofer	Mayrhofer, H.	Physciaceae	\N
111414	9032	0	1994-01-01 00:00:00	Rinodina algarvensis Giralt, M. Barbero & Van den Boom	Rinodina	algarvensis	\N	sp.	Giralt, M. Barbero & Van den Boom	Mayrhofer, H.	Physciaceae	\N
111413	610	0	1987-06-05 00:00:00	Rhizocarpon malenconianum (Llimona & Werner) Hafellner & Mayrhofer{?}	Rhizocarpon	malenconianum	\N	sp.	(Llimona & Werner) Hafellner & Mayrhofer{?}	Giralt, M.	Rhizocarpaceae	\N
111412	395	0	1966-01-06 00:00:00	Ramalina tigrina Follmann	Ramalina	tigrina	\N	sp.	Follmann	Follmann, G.	Ramalinaceae	\N
111411	421	0	1966-01-12 00:00:00	Ramalina cactacearum Follmann	Ramalina	cactacearum	\N	sp.	Follmann	Follmann, G.	Ramalinaceae	\N
111409	5561	0	\N	Neofuscelia halei Essl., M. Barbero & Llimona	Neofuscelia	halei	\N	sp.	Essl., M. Barbero & Llimona	\N	Parmeliaceae	\N
111408	10385	0	\N	Lecania poeltii Van den Boom, Alonso & Egea	Lecania	poeltii	\N	sp.	Van den Boom, Alonso & Egea	Poelt, J.	Bacidiaceae	\N
111406	1762	0	1976-01-09 00:00:00	Lecanactis subdryophila Follmann & Vezda	Lecanactis	subdryophila	\N	sp.	Follmann & Vezda	Vezda, A.	Roccellaceae	\N
111404	1749	0	1977-01-09 00:00:00	Lecanactis acicularis C.W. Dodge	Lecanactis	acicularis	\N	sp.	C.W. Dodge	Follmann, G.	Roccellaceae	\N
111402	8284	0	\N	Koerberiella pruinosa Nav.-Ros. & Hafellner	Koerberiella	pruinosa	\N	sp.	Nav.-Ros. & Hafellner	\N	Porpidiaceae	\N
111401	5224	0	\N	Karsteniomyces llimonae Boqueras & Diederich	Karsteniomyces	llimonae	\N	sp.	Boqueras & Diederich	Boqueras, M.	Incertae sedis	\N
111400	1692	0	1980-01-02 00:00:00	Dimerella frederici Kalb	Dimerella	frederici	\N	sp.	Kalb	Kalb, K.	Gyalectaceae	\N
111399	621	0	\N	Caloplaca gloriae Llimona & Werner	Caloplaca	gloriae	\N	sp.	Llimona & Werner	Werner	Teloschistaceae	\N
111396	620	0	\N	Caloplaca gloriae Llimona & Werner	Caloplaca	gloriae	\N	sp.	Llimona & Werner	Llimona, X.	Teloschistaceae	\N
111395	368	0	\N	Belonia caudata (Vezda & Vivant) P.M. Jørg. & Vezda,	Belonia	caudata	\N	sp.	(Vezda & Vivant) P.M. Jørg. & Vezda,	\N	Gyalectaceae	\N
111525	395	1	\N	Ramalina tigrina Follmann	Ramalina	tigrina	\N	sp.	Follmann	Follmann, G.	Ramalinaceae	\N
111526	5705	1	\N	Rhagadostoma boleae Nav.-Ros. & Hladún	Rhagadostoma	boleae	\N	sp.	Nav.-Ros. & Hladún	\N	Nitschkiaceae	SANTESSON, R. 1993. The lichens and lichenicolous fungi of Sweden and Norway. STB-forlaget, Lund, Sweden.
111527	5704	1	\N	Rhagadostoma rugosum Nav.-Ros. & Hladún	Rhagadostoma	rugosum	\N	sp.	Nav.-Ros. & Hladún	\N	Nitschkiaceae	\N
111528	5707	1	\N	Rhagadostoma verrucariarum Nav.-Ros. & Hladún	Rhagadostoma	verrucariarum	\N	sp.	Nav.-Ros. & Hladún	\N	Nitschkiaceae	ZAHLBRUCKNER, A. 1921 - 1940. Catalogus Lichenum Universalis 1-1O. Borntraeger, Leipzig & Berlin.
111529	2006	1	\N	Rhizocarpon inimicum Poelt & Vezda	Rhizocarpon	inimicum	\N	sp.	Poelt & Vezda	\N	Rhizocarpaceae	COMMONWEALTH MYCOLOGICAL INSTITUTE. 1971 onwards. Index of Fungi 4, 5. Kew.
111530	610	1	1987-06-05 00:00:00	Rhizocarpon malenconianum (Llimona & Werner) Hafellner & Mayrhofer{?}	Rhizocarpon	malenconianum	\N	sp.	(Llimona & Werner) Hafellner & Mayrhofer{?}	Giralt, M.	Rhizocarpaceae	\N
111531	9032	1	1994-01-01 00:00:00	Rinodina algarvensis Giralt, M. Barbero & Van den Boom	Rinodina	algarvensis	\N	sp.	Giralt, M. Barbero & Van den Boom	Mayrhofer, H.	Physciaceae	SANTESSON, R. 1993. The lichens and lichenicolous fungi of Sweden and Norway. STB-forlaget, Lund, Sweden.
111532	4427	1	\N	Rinodina boleana Giralt & H. Mayrhofer	Rinodina	boleana	\N	sp.	Giralt & H. Mayrhofer	Mayrhofer, H.	Physciaceae	COMMONWEALTH MYCOLOGICAL INSTITUTE. 1971 onwards. Index of Fungi 4, 5. Kew.
111533	5740	1	\N	Rinodina llimonae Giralt & Etayo	Rinodina	llimonae	\N	sp.	Giralt & Etayo	\N	Physciaceae	LAMB, I. M. 1963. Index Nominum Lichenum. Ronald, New York.
111534	5741	1	\N	Rinodina poeltiana Giralt & W. Oberm.	Rinodina	poeltiana	\N	sp.	Giralt & W. Oberm.	\N	Physciaceae	ZAHLBRUCKNER, A. 1921 - 1940. Catalogus Lichenum Universalis 1-1O. Borntraeger, Leipzig & Berlin.
111535	435	1	1966-01-12 00:00:00	Roccellina luteola Follmann	Roccellina	luteola	\N	sp.	Follmann	Follmann, G.	\N	\N
111536	4658	1	\N	Sagenidiopsis merrotsii R.W. Rogers & Hafellner	Sagenidiopsis	merrotsii	\N	sp.	R.W. Rogers & Hafellner	\N	Arthoniaceae	COMMONWEALTH MYCOLOGICAL INSTITUTE. 1971 onwards. Index of Fungi 4, 5. Kew.
111537	4488	1	\N	Sarcopyrenia bacillospora Nav.-Ros. & Hladun	Sarcopyrenia	bacillospora	\N	sp.	Nav.-Ros. & Hladun	\N	Incertae sedis	LAMB, I. M. 1963. Index Nominum Lichenum. Ronald, New York.
111538	2445	1	\N	Schistophoron variabile Tibell	Schistophoron	variabile	\N	sp.	Tibell	\N	Incertae sedis	ZAHLBRUCKNER, A. 1921 - 1940. Catalogus Lichenum Universalis 1-1O. Borntraeger, Leipzig & Berlin.
111539	1436	1	\N	Strangospora senecionis Lambinon & Vezda	Strangospora	senecionis	\N	sp.	Lambinon & Vezda	\N	Acarosporaceae	COMMONWEALTH MYCOLOGICAL INSTITUTE. 1971 onwards. Index of Fungi 4, 5. Kew.
111540	425	1	\N	Usnea eulychinae Follmann	Usnea	eulychinae	\N	sp.	Follmann	Follmann, G.	Parmeliaceae	ZAHLBRUCKNER, A. 1921 - 1940. Catalogus Lichenum Universalis 1-1O. Borntraeger, Leipzig & Berlin.
111541	879	1	\N	Usnea grandis Motyka	Usnea	grandis	\N	sp.	Motyka	Motyka, J.	Parmeliaceae	LAMB, I. M. 1963. Index Nominum Lichenum. Ronald, New York.
111542	1025	1	\N	Usnea pinnata Räsänen	Usnea	pinnata	\N	sp.	Räsänen	Räsänen, V.	Parmeliaceae	LAMB, I. M. 1963. Index Nominum Lichenum. Ronald, New York.
111543	3963	1	\N	Verrucaria hladuniana Nav.-Ros. & Cl. Roux	Verrucaria	hladuniana	\N	sp.	Nav.-Ros. & Cl. Roux	\N	Verrucariaceae	COMMONWEALTH MYCOLOGICAL INSTITUTE. 1971 onwards. Index of Fungi 4, 5. Kew.
111544	3965	1	\N	Verrucaria hladuniana Nav.-Ros. & Cl. Roux	Verrucaria	hladuniana	\N	sp.	Nav.-Ros. & Cl. Roux	\N	Verrucariaceae	SANTESSON, R. 1993. The lichens and lichenicolous fungi of Sweden and Norway. STB-forlaget, Lund, Sweden.
111545	3966	1	\N	Verrucaria hladuniana Nav.-Ros. & Cl. Roux	Verrucaria	hladuniana	\N	sp.	Nav.-Ros. & Cl. Roux	\N	Verrucariaceae	SANTESSON, R. 1993. The lichens and lichenicolous fungi of Sweden and Norway. STB-forlaget, Lund, Sweden.
111546	13239	1	\N	Weddellomyces erythrocarpae Nav.-Ros. & Cl. Roux	Weddellomyces	erythrocarpae	\N	sp.	Nav.-Ros. & Cl. Roux	\N	Dacampiaceae	COMMONWEALTH MYCOLOGICAL INSTITUTE. 1971 onwards. Index of Fungi 4, 5. Kew.
111547	13240	1	\N	Weddellomyces erythrocarpae Nav.-Ros. & Cl. Roux	Weddellomyces	erythrocarpae	\N	sp.	Nav.-Ros. & Cl. Roux	\N	Dacampiaceae	ZAHLBRUCKNER, A. 1921 - 1940. Catalogus Lichenum Universalis 1-1O. Borntraeger, Leipzig & Berlin.
111548	13421	1	\N	Weddellomyces heterochrous Nav.-Ros. & Cl. Roux	Weddellomyces	heterochrous	\N	sp.	Nav.-Ros. & Cl. Roux	\N	Dacampiaceae	LAMB, I. M. 1963. Index Nominum Lichenum. Ronald, New York.
111549	13236	1	\N	Weddellomyces pachyosporicola Nav.-Ros. & Cl. Roux	Weddellomyces	pachyosporicola	\N	sp.	Nav.-Ros. & Cl. Roux	\N	Dacampiaceae	ZAHLBRUCKNER, A. 1921 - 1940. Catalogus Lichenum Universalis 1-1O. Borntraeger, Leipzig & Berlin.
111550	13237	1	\N	Weddellomyces pachyosporicola Nav.-Ros. & Cl. Roux	Weddellomyces	pachyosporicola	\N	sp.	Nav.-Ros. & Cl. Roux	\N	Dacampiaceae	LAMB, I. M. 1963. Index Nominum Lichenum. Ronald, New York.
111551	13238	1	\N	Weddellomyces pachyosporicola Nav.-Ros. & Cl. Roux	Weddellomyces	pachyosporicola	\N	sp.	Nav.-Ros. & Cl. Roux	\N	Dacampiaceae	COMMONWEALTH MYCOLOGICAL INSTITUTE. 1971 onwards. Index of Fungi 4, 5. Kew.
111552	3200	1	\N	Xanthoparmelia cylindriloba M.D.E. Knox	Xanthoparmelia	cylindriloba	\N	sp.	M.D.E. Knox	\N	Parmeliaceae	ZAHLBRUCKNER, A. 1921 - 1940. Catalogus Lichenum Universalis 1-1O. Borntraeger, Leipzig & Berlin.
111553	4067	1	\N	Xanthoparmelia somloënsis (Gyeln.) Hale	Xanthoparmelia	somloënsis	\N	sp.	(Gyeln.) Hale	\N	Parmeliaceae	SANTESSON, R. 1993. The lichens and lichenicolous fungi of Sweden and Norway. STB-forlaget, Lund, Sweden.
111554	5287	1	\N	Xanthoria fulva (Hoffm.) Poelt & Petut.	Xanthoria	fulva	\N	sp.	(Hoffm.) Poelt & Petut.	Petutschnig, W.	Teloschistaceae	ZAHLBRUCKNER, A. 1921 - 1940. Catalogus Lichenum Universalis 1-1O. Borntraeger, Leipzig & Berlin.
111556	14204	1	2003-09-16 00:00:00	Pelargonium acerifolium	Pelargonium	acerifolium	\N	sp.	\N	\N	Geraniaceae	COMMONWEALTH MYCOLOGICAL INSTITUTE. 1971 onwards. Index of Fungi 4, 5. Kew.
111557	14204	0	2001-09-16 00:00:00	Luzula acerifolium subsp. arbiales	Luzula	mirellis	\N	sp.	J.Torre	J.Torre	Juncaceae	COMMONWEALTH MYCOLOGICAL INSTITUTE. 1971 onwards. Index of Fungi 4, 5. Kew.
\.


--
-- TOC entry 1677 (class 0 OID 31947)
-- Dependencies: 1321
-- Data for Name: images; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY images (id, unit_id, file_uri, product_uri, image_terms_of_use) FROM stdin;
1	14204	http://ww2.bgbm.org/herbarium/images/B/-W/12/46/B_-W_12469%20-02%200.JPG	http://ww2.bgbm.org/herbarium/view_biocase.cfm?SpecimenPK=31842	Access is granted under the following conditions:\r\nThe images may not passed on to any third party without our written consent and due mention of the copyright restrictions, and may not be used for commercial or non-scientific purposes. Reproduction in scientific publications is authorized on the condition that the source and the copyright are fully acknowledged:\r\n© Botanischer Garten und Botanisches Museum Berlin-Dahlem, FU Berlin.
\.


--
-- TOC entry 1660 (class 2606 OID 31894)
-- Dependencies: 1315 1315
-- Name: abcdmetadata_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY abcdmetadata
    ADD CONSTRAINT abcdmetadata_pkey PRIMARY KEY (metadata_id);


--
-- TOC entry 1663 (class 2606 OID 31904)
-- Dependencies: 1317 1317
-- Name: collectors_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY collectors
    ADD CONSTRAINT collectors_pkey PRIMARY KEY (id);


--
-- TOC entry 1666 (class 2606 OID 31925)
-- Dependencies: 1318 1318
-- Name: herbariumsheets_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY herbariumsheets
    ADD CONSTRAINT herbariumsheets_pkey PRIMARY KEY (unit_id);


--
-- TOC entry 1669 (class 2606 OID 31945)
-- Dependencies: 1320 1320
-- Name: identifications_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY identifications
    ADD CONSTRAINT identifications_pkey PRIMARY KEY (id);


--
-- TOC entry 1671 (class 2606 OID 31957)
-- Dependencies: 1321 1321
-- Name: images_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY images
    ADD CONSTRAINT images_pkey PRIMARY KEY (id);


--
-- TOC entry 1661 (class 1259 OID 31895)
-- Dependencies: 1315
-- Name: abcdmetadata_sourceid_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX abcdmetadata_sourceid_idx ON abcdmetadata USING btree (source_id);


--
-- TOC entry 1664 (class 1259 OID 31905)
-- Dependencies: 1317
-- Name: collectors_unitid_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX collectors_unitid_idx ON collectors USING btree (unit_id);


--
-- TOC entry 1667 (class 1259 OID 31946)
-- Dependencies: 1320
-- Name: identifications_nameauthoryearstring_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX identifications_nameauthoryearstring_idx ON identifications USING btree (name_author_year_string);


--
-- TOC entry 1672 (class 1259 OID 31958)
-- Dependencies: 1321
-- Name: images_unitid_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX images_unitid_idx ON images USING btree (unit_id);


--
-- TOC entry 1682 (class 0 OID 0)
-- Dependencies: 3
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2008-04-30 20:33:52 CEST

--
-- PostgreSQL database dump complete
--

